Bug 13343 - Items are not embedded when sending a basket/shelf
Summary: Items are not embedded when sending a basket/shelf
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 13345
  Show dependency treegraph
 
Reported: 2014-11-26 14:13 UTC by Jonathan Druart
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
B (3.45 KB, patch)
2014-11-26 14:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13343: Embed items when send a basket/shelf (3.50 KB, patch)
2014-12-22 07:21 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13343: Embed items when send a basket/shelf (3.57 KB, patch)
2014-12-27 12:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-11-26 14:13:38 UTC
When a basket/shelf is downloaded, items are embedded, but not when sending it by email.

This seems to be a bug, we would expect to get the same file.
Comment 1 Jonathan Druart 2014-11-26 14:14:38 UTC
Set component to "architecture", the bug is on both interfaces (opac and intranet) and for baskets and shelves.
Comment 2 Jonathan Druart 2014-11-26 14:17:27 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2014-12-22 07:21:24 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-12-27 12:30:35 UTC
Created attachment 34708 [details] [review]
[PASSED QA] Bug 13343: Embed items when send a basket/shelf

When a basket/shelf is downloaded, items are embedded, but not when
sending it by email.

We would expect to get the same file.

Test plan:
On Opac and intranet:
1/ Add records with items to your basket and send it by email.
Verify the file contains items.
2/ Add records with items to a list and send it by email.
Verify the file contains items.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2015-02-11 07:15:05 UTC
A note about this: as things currently are, we will send out information that has been marked as not visible in the OPAC or labelled as internal note. I wonder if we should make including items in the staff/cart optional for the time being as fixing the problem with visibility is a much bigger issue.
There has been a discussion about this for OAI as well, but things OPAC side might need a different treatment (bug 12252).

I know this patch just makes things more consistent as one download includes items and the other does not - if people are ok with the idea of optional, I will try to work up a patch on a separate bug - not blocking this.
Comment 6 Jonathan Druart 2015-02-11 08:53:03 UTC
yes, we should at least call GetMarcBiblio with the 3rd param set to 1 (opac=1).
It is introduced by bug 12252.
Comment 7 Katrin Fischer 2015-02-11 09:12:33 UTC
The opac=1 flag will remove items hidden with opachiddenitems - so it would be really good to add that here.
Comment 8 Tomás Cohen Arazi 2015-02-12 18:38:31 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 9 Chris Cormack 2015-02-14 08:15:59 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 10 Mason James 2015-02-26 05:04:48 UTC
Pushed to 3.16.x, will be in 3.16.8r
Comment 11 Chris Cormack 2015-08-09 22:55:43 UTC
(In reply to Katrin Fischer from comment #5)
> A note about this: as things currently are, we will send out information
> that has been marked as not visible in the OPAC or labelled as internal
> note. I wonder if we should make including items in the staff/cart optional
> for the time being as fixing the problem with visibility is a much bigger
> issue.
> There has been a discussion about this for OAI as well, but things OPAC side
> might need a different treatment (bug 12252).
> 
> I know this patch just makes things more consistent as one download includes
> items and the other does not - if people are ok with the idea of optional, I
> will try to work up a patch on a separate bug - not blocking this.

I'd still like to see this, Koha should be the most privacy conscious library system out there. Let's try to make this our goal.

I'd be happy to test and sign off a patch that respects the hidden settings